Create a student management category

post

/fscmRestApi/resources/11.13.18.05/studentManagementCategories

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
  • Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Category Data Groups
Type: array
Title: Category Data Groups
Use the category data groups resource to view, create, modify, or delete category data groups.
Show Source
Nested Schema : Category Events
Type: array
Title: Category Events
Use the category events resource to view, create, modify, or delete category events.
Show Source
Nested Schema : Category Rule Attributes
Type: array
Title: Category Rule Attributes
Use the category rule attributes resource to view, create, modify, or delete category rule attributes.
Show Source
Nested Schema : Subcategories
Type: array
Title: Subcategories
Use the student management subcategories resource to view, create, modify, or delete subcategories. For example, an enrollment category can have various subcategories.
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
  • Title: Event ID
    The unique identifier for an event that occurs in the application, for example, Enrollment Drop and Refund Posted.
  • Title: Event Name
    Maximum Length: 50
    The name of an event, such as Enrollment Drop.
Nested Schema : schema
Type: object
Show Source
  • Title: Allow Subcategories
    Maximum Length: 1
    Default Value: true
    Indicates whether rules of this category can call rules that belong to other categories. These other categories are known as subcategories of this category.
  • Title: Allow Rule Changes
    Maximum Length: 1
    Default Value: true
    Indicates whether changes to rules are allowed for this category.
  • Title: Rule Category ID
    The unique identifier for a rule category.
Nested Schema : schema
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : studentManagementCategories-item-response
Type: object
Show Source
Nested Schema : Category Data Groups
Type: array
Title: Category Data Groups
Use the category data groups resource to view, create, modify, or delete category data groups.
Show Source
Nested Schema : Category Events
Type: array
Title: Category Events
Use the category events resource to view, create, modify, or delete category events.
Show Source
Nested Schema : Category Rule Attributes
Type: array
Title: Category Rule Attributes
Use the category rule attributes resource to view, create, modify, or delete category rule attributes.
Show Source
Nested Schema : Subcategories
Type: array
Title: Subcategories
Use the student management subcategories resource to view, create, modify, or delete subcategories. For example, an enrollment category can have various subcategories.
Show Source
Nested Schema : studentManagementCategories-categoryDataGroups-item-response
Type: object
Show Source
Nested Schema : studentManagementCategories-categoryEvents-item-response
Type: object
Show Source
  • Title: Active
    Read Only: true
    Maximum Length: 1
    Indicates whether an event is active or inactive.
  • Title: Category Event Map ID
    Read Only: true
    The unique identifier for the category and event mapping.
  • Title: Event Code
    Read Only: true
    Maximum Length: 30
    The unique code for an event.
  • Title: Event Description
    Read Only: true
    Maximum Length: 240
    The description of an event.
  • Title: Event ID
    The unique identifier for an event that occurs in the application, for example, Enrollment Drop and Refund Posted.
  • Title: Event Name
    Maximum Length: 50
    The name of an event, such as Enrollment Drop.
  • Read Only: true
    Maximum Length: 30
    The timing rule type code for a date based event. For example, the ORA_HEY_EVENT_TIMING_AFTER code indicates a communication can be sent after the event occurs. A list of accepted values is defined in the lookup type ORA_HEY_EVENT_TIMING_RULE_TYPE.
  • Title: Event Type
    Read Only: true
    Maximum Length: 30
    The type of an event, such as a transactional or date-based event. A list of accepted values is defined in the lookup type ORA_HEY_EVENT_TYPE.
  • Links
  • Read Only: true
    Indicates whether the associated row is predefined.
Nested Schema : studentManagementCategories-categoryRuleAttributes-item-response
Type: object
Show Source
  • Title: Allow Subcategories
    Maximum Length: 1
    Default Value: true
    Indicates whether rules of this category can call rules that belong to other categories. These other categories are known as subcategories of this category.
  • Title: Allow Rule Changes
    Maximum Length: 1
    Default Value: true
    Indicates whether changes to rules are allowed for this category.
  • Title: Rule Category ID
    The unique identifier for a rule category.
  • Links
Nested Schema : studentManagementCategories-subcategories-item-response
Type: object
Show Source
Back to Top